#ifndef RK_DNSPACK_EXPLOREDENSESTPACKINGS_H
#define RK_DNSPACK_EXPLOREDENSESTPACKINGS_H

#include "Argument.h"

namespace rk
{
	namespace dnspack
	{
		class ExploreDensestPackings
		{
		public:
			explicit ExploreDensestPackings(rk::dnspack::IArgument& argument);
			virtual ~ExploreDensestPackings();

		public:
			int execute();

		private:
			rk::dnspack::IArgument& m_argument;

		private:
			ExploreDensestPackings(const ExploreDensestPackings& other) = delete;
			ExploreDensestPackings(ExploreDensestPackings&& other) noexcept = delete;
			ExploreDensestPackings& operator=(const ExploreDensestPackings& other) = delete;
			ExploreDensestPackings& operator=(ExploreDensestPackings&& other) noexcept = delete;
		};
	}
}


#endif // !RK_DNSPACK_EXPLOREDENSESTPACKINGS_H
